Segment 6 Intelligente Bewertungsverfahren (IBV), SWE 6.3 Umfassende Datenanalyse                                             
=================================================================================

## Übersicht

Die Umfassende Datenanalyse stellt ein Modul innerhalb des Datenverteilersystems
zur Verfügung, mit dem Skripte und Skriptläufe zur Auswertung von Daten im
Allgemeinen und vom Datenverteiler verwaltet und ausgeführt werden können.

Das Modul wird mit den üblichen Startparametern für Datenverteilerapplikationen
gestartet.

Die Klasse zum Starten des Moduls ist:
	de.bsvrz.ibv.uda.uda.UmfassendeDatenanalyse

Zusätzliche optionale Parameter:
	-udaModul    die PID des UdaModuls, dessen Daten verwaltet werden sollen.
	             die PID kann entweder ein UdaModul selbst repräsentieren oder
	             einen Konfigurationsbereich. Im zweiten Fall werden alle UdaModule
	             aus dem angegebenen Konfigurationsbereich verwaltet.
	             Wird der Parameter nicht angegeben, werden alle UdaModul die in
	             der Konfiguration angelegt sind verwaltet.

    -udaRoot	 definiert das Wurzelverzeichnis, in dem die Daten der UdaSkripte und
                 Skriptläufe abgelegt werden. Standardwert ist "udaDaten".

Zur Ausführung der Softwareeinheit sind folgende zusätzliche Bibliothen bzw. Softwareeinheiten
erforderlich:
	antlr.jar	Bestandteil des Parsers für UdaSkripte (im Paket enthalten)
	de.bsvrz.sys.funclib.bitctrl
				Allgemeine Funktionen
	de.bsvrz.iav.fuzzylib
				Funktionen zur Ausführung von Fuzzyoperationen


Der Zugriff auf die Daten der "Umfassenden Datenanalyse" kann vollständig über die innerhalb
des Paketes bereitgestellten API-Funktionen erfolgen, ein direkter Zugriff auf Objekte und
Attributgruppen der Softwareeinheit ist nicht erfoderlich.
Eine Testapplikation zum Zugriff auf die "Umfassende Datenanalyse" wird gesondert bereitgestellt,
ist aber nicht Bestandteil des Projekts VRZ3.

    
# Disclaimer

Segment 6 Intelligente Bewertungsverfahren, SWE 6.3 Umfassende Datenanalyse
Copyright (C) 2007 BitCtrl Systems GmbH

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 51
Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.


# Kontakt

BitCtrl Systems GmbH<br>
Weißenfelser Straße 67<br>
04229 Leipzig<br>
Phone: +49 341-490670<br>
mailto: info@bitctrl.de<br>
